# Originally imported from fedora

Name:           gnome-mpv
Version:        0.13
Release:        %mkrel 2
Summary:        A simple GTK+ frontend for mpv
License:        GPLv3+
Group:          Video
URL:            https://github.com/gnome-mpv/gnome-mpv
Source0:        https://github.com/gnome-mpv/gnome-mpv/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:         update-appdata-and-add-missing-meson-build-file.patch
#-----------------------------------
BuildRequires: gcc
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: mesa-devel
BuildRequires: mpv-devel
BuildRequires: lib64appstream-glib1
BuildRequires: lib64rubberband-devel
BuildRequires: lib64uchardet-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64epoxy-devel
BuildRequires: lib64bluray-devel
BuildRequires: lib64gtk+3.0-devel
#-----------------------------------
Requires:       youtube-dl >= 2016.03.06
Requires:       hicolor-icon-theme

%description
GNOME MPV interacts with mpv via the client API exported by libmpv,
allowing access to mpv's powerful playback capabilities.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make_build V=1

%install
rm -rf %buildroot
%make_install

%find_lang %{name}

%check
#appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/io.github.GnomeMpv.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/io.github.GnomeMpv.desktop

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS README.md COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/io.github.GnomeMpv.appdata.xml
%{_datadir}/applications/io.github.GnomeMpv.desktop
%{_datadir}/dbus-1/services/io.github.GnomeMpv.service
%{_datadir}/glib-2.0/schemas/io.github.GnomeMpv.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome-mpv.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Jan 02 2018 bb2 <bb2> - 0.13-2pclos2018
- clean up BR

* Tue Jan 02 2018 Zen Subz <techars21 at gmail dot com> - 0.13-1pclos2018
- Build for PCLinuxOS
